# $Revision: 1.40.2.1 $, $Date: 2007/02/17 20:46:04 $
Summary:	Shishi - an implementation of RFC 1510(bis) (Kerberos V5 authentication)
Summary(pl):	Shishi - implementacja RFC 1510(bis) (uwierzytelniania Kerberos V5)
Name:		shishi
Version:	0.0.22
Release:	4
Epoch:		0
License:	GPL
Group:		Libraries
Source0:	http://josefsson.org/shishi/releases/%{name}-%{version}.tar.gz
# Source0-md5:	f613e538ed0bb990f3644bbe5f0ab444
Source1:	%{name}-shishid.init
Source2:	%{name}-shishid.sysconfig
Patch0:		%{name}-info.patch
URL:		http://josefsson.org/shishi/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.12.1
BuildRequires:	gnutls-devel >= 1.2.5
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	libgcrypt-devel >= 1.1.43
BuildRequires:	libidn-devel >= 0.1.0
BuildRequires:	libtasn1-devel >= 0.2.5
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
Provides:	group(shishi)
Provides:	user(shishi)
# should be moved to shishi-enabled inetutils-* if such packages would exist
Obsoletes:	shishi-telnet
Obsoletes:	shishi-telnetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	%{_var}/lib

%description
Shishi is a (still incomplete) implementation of the RFC 1510(bis)
network authentication system (known as Kerberos V5). Shishi can be
used to authenticate users in distributed systems.

Shishi contains a library ('libshishi') that can be used by
application developers to add support for RFC 1510 and a command line
utility ('shishi') that is used by users to interface with the
library, to acquire and manage tickets (and more). Included are also a
TELNET client and server (based on GNU InetUtils) for remote network
login, and a PAM module for host security. A rudimentary key
distribution center (KDC) daemon is included.

%description -l pl
Shishi to (nadal niekompletna) implementacja sieciowego systemu
uwierzytelniania RFC 1510(bis) (znanego jako Kerberos V5). Shishi moe
by uywane do uwierzytelniania uytkownikw w systemach
rozproszonych.

Shishi zawiera bibliotek (libshishi), ktr programici mog
wykorzystywa do dodawania obsugi RFC 1510 oraz narzdzie dziaajce
z linii polece (shishi), ktrym uytkownicy mog komunikowa si z
bibliotek, uzyskiwa i zarzdza biletami itp. Doczone s take
klient i serwer TELNET (oparte na GNU InetUtils) do zdalnego logowania
oraz modu PAM do lokalnego modelu bezpieczestwa. Demon podstawowego
centrum dystrybucji kluczy (KDC) take jest zaczony.

%package devel
Summary:	Header files for Shishi library
Summary(pl):	Pliki nagwkowe biblioteki Shishi
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gnutls-devel >= 0.8.8
Requires:	gtk-doc-common
Requires:	libgcrypt-devel >= 1.1.43
Requires:	libidn-devel >= 0.1.0
Requires:	libtasn1-devel >= 0.2.5

%description devel
Header files for Shishi library.

%description devel -l pl
Pliki nagwkowe biblioteki Shishi.

%package static
Summary:	Static Shishi library
Summary(pl):	Statyczna biblioteka Shishi
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Shishi library.

%description static -l pl
Statyczna biblioteka Shishi.

%package shishid
Summary:	shishid - Kerberos 5 server
Summary(pl):	shishid - serwer Kerberosa 5
Group:		Networking/Daemons
Requires(post,postun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description shishid
shishid is a network daemon for issuing Kerberos 5 tickets.

%description shishid -l pl
shishid to sieciowy demon sucy do wydawania biletw Kerberosa 5.

%package -n pam-pam_shishi
Summary:	PAM module for RFC 1510 (Kerberos V5) authentication
Summary(pl):	Modu PAM do uwierzytelniania RFC 1510 (Kerberos V5)
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	pam_shishi

%description -n pam-pam_shishi
PAM module for RFC 1510 (Kerberos V5) authentication.

%description -n pam-pam_shishi -l pl
Modu PAM do uwierzytelniania RFC 1510 (Kerberos V5).

%prep
%setup -q
%patch0 -p1

rm -f po/stamp-po

# doesn't build on sparc (too few B* constants) and wasn't packaged anyway
%{__perl} -pi -e 's/^(SUBDIRS.*) rsh-redone/$1/' extra/Makefile.am

%build
# blegh, lt incompatible with ksh - must rebuild
%{__libtoolize}
%{__aclocal} -I gl/m4 -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-libgcrypt

%{__make}
%{__make} extra

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib}/security,/etc/{sysconfig,rc.d/init.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C extra install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/pam_shishi.so* $RPM_BUILD_ROOT/%{_lib}/security
rm -f $RPM_BUILD_ROOT%{_libdir}/pam_shishi.{la,a}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/shishid
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/shishid
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%pre shishid
%groupadd -P %{name}-shishid -g 125 shishi
%useradd -P %{name}-shishid -u 125 -d /usr/share/empty -s /bin/false -c "shishi user" -g shishi shishi

%post shishid
/sbin/chkconfig --add shishid
%service shishid restart "shishid daemon"

%preun shishid
if [ "$1" = "0" ]; then
	%service shishid stop
	/sbin/chkconfig --del shishid
fi

%postun shishid
if [ "$1" = "0" ]; then
	%userremove shishi
	%groupremove shishi
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* THANKS
%attr(755,root,root) %{_bindir}/shisa
%attr(755,root,root) %{_bindir}/shishi
%attr(755,root,root) %{_libdir}/libshis*.so.*.*.*
%dir %{_sysconfdir}/shishi
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/shishi/shisa.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/shishi/shishi.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/shishi/shishi.keys
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/shishi/shishi.skel
%attr(700,root,root) %dir %{_localstatedir}/%{name}
%{_mandir}/man1/shisa.1*
%{_mandir}/man1/shishi.1*
%{_infodir}/shishi.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libshis*.so
%{_libdir}/libshis*.la
%{_includedir}/shis*.h
%{_pkgconfigdir}/shishi.pc
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libshis*.a

%files shishid
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/shishid
%attr(754,root,root) /etc/rc.d/init.d/shishid
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/shishid
%{_mandir}/man1/shishid.1*

%files -n pam-pam_shishi
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_shishi.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shishi.spec,v $
Revision 1.40.2.1  2007/02/17 20:46:04  qboosh
- release 4 (new gnutls)

Revision 1.40  2006/04/14 16:14:39  glen
- use %service, rel 3

Revision 1.39  2006/03/16 18:52:57  patrys
- new libtasn

Revision 1.38  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.37  2005/08/13 10:52:21  qboosh
- gnutls and fix patches have annihilated

Revision 1.36  2005/08/13 10:50:32  qboosh
- added fix patch - builds now

Revision 1.35  2005/08/12 03:13:18  aredridel
- up to 0.0.22
- NFY -- fails to compile

Revision 1.34  2005/07/11 18:04:11  arekm
- rel 3; fix missdeclaration of gnutls stuff

Revision 1.33  2005/07/11 16:42:21  arekm
BR gnutls >= 1.2.5

Revision 1.32  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.31  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.30  2004/12/22 22:19:00  qboosh
- use system libgcrypt instead of bundled nettle

Revision 1.29  2004/12/22 22:06:24  qboosh
- ac 2.59 needed now

Revision 1.28  2004/12/22 22:05:40  qboosh
- updated to 0.0.21, removed obsolete pl.po-update patch

Revision 1.27  2004/11/22 22:14:28  qboosh
- updated to 0.0.20, updated pl.po-update patch

Revision 1.26  2004/11/19 07:19:20  qboosh
- added pl.po-update patch

Revision 1.25  2004/11/12 15:43:11  aredridel
- up to 0.0.19
- nfy

Revision 1.24  2004/10/17 21:26:49  qboosh
- updated to 0.0.18

Revision 1.23  2004/09/15 21:04:09  ankry
- %userremove/%groupremove support
- some standarization

Revision 1.22  2004/08/08 03:39:30  aredridel
- up to 0.0.17

Revision 1.21  2004/08/02 17:05:03  qboosh
- shishi.conf is used by clients too, so moved to base and changed perms to 644,root,root

Revision 1.20  2004/08/01 21:35:38  aredridel
- up to 0.0.16

Revision 1.19  2004/04/20 19:30:39  qboosh
- updated to 0.0.15, pl.po has been merged

Revision 1.18  2004/04/19 11:23:37  krzak
- rel 4

Revision 1.17  2004/04/19 11:14:10  krzak
- rel 3 for new gnutls

Revision 1.16  2004/02/22 22:22:14  qboosh
- disable building rsh (doesn't build on sparc and wasn't packaged anyway); release 2

Revision 1.15  2004/02/22 21:38:34  qboosh
- separated shishid, added init script, user creation etc.
- added pl.po, release 1

Revision 1.14  2004/02/22 20:13:12  qboosh
- updated to 0.0.14

Revision 1.13  2004/01/15 20:16:17  qboosh
- updated to 0.0.13

Revision 1.12  2004/01/06 20:58:07  qboosh
- updated to 0.0.12

Revision 1.11  2003/12/22 20:30:38  qboosh
- updated to 0.0.11, changed PAM dir to lib64-ready

Revision 1.10  2003/12/17 22:23:16  qboosh
- updated to 0.0.10

Revision 1.9  2003/12/13 00:42:16  qboosh
- updated to 0.0.9, new auto* needed

Revision 1.8  2003/11/25 22:15:24  qboosh
- pkgconfig no longer used by configure

Revision 1.7  2003/11/25 18:56:34  qboosh
- cleanup

Revision 1.6  2003/11/25 18:56:19  qboosh
- added epoch to subpackage deps

Revision 1.5  2003/11/25 17:57:07  qboosh
- updated to 0.0.8, new URLs
- updated info patch, removed obsolete libgcrypt,libidn patches
- removed obsolete telnet* packages

Revision 1.4  2003/11/25 14:56:47  siefca
- leaded common naming conventions for PAM module packages
- added Epoch tag

Revision 1.3  2003/10/05 14:44:16  qboosh
- added libidn patch for libidn 0.3.0, release 0.2

Revision 1.2  2003/08/03 10:26:40  qboosh
- added libgcrypt patch (with API update for 1.1.42)
- removed libgcrypt 1.1.13-cvs files from files list

Revision 1.1  2003/08/02 21:30:59  qboosh
- initial
